org.jboss.jca.core.connectionmanager.pool

## Class AbstractPrefillPool

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.pool.AbstractPool
  - - org.jboss.jca.core.connectionmanager.pool.AbstractPrefillPool

- All Implemented Interfaces:
    org.jboss.jca.core.api.connectionmanager.pool.Pool, PrefillPool
  Direct Known Subclasses:
    OnePool, PoolBySubject

      public abstract class AbstractPrefillPool
      extends AbstractPool
      implements PrefillPool

  Abstract pool implementation which can be prefilled.
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.core.connectionmanager.pool.AbstractPool

      `log`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractPrefillPool(javax.resource.spi.ManagedConnectionFactory mcf, org.jboss.jca.core.api.connectionmanager.pool.PoolConfiguration pc, boolean noTxSeparatePools, boolean sharable, java.lang.String mcp)` Create a new prefill pool.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isPrefill()` Is prefill
    `void` | `prefill(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri, boolean noTxnSeperatePool)` Prefill the connection pool

    - ### Methods inherited from class org.jboss.jca.core.connectionmanager.pool.AbstractPool

      `cancelShutdown, dumpQueuedThreads, emptyManagedConnectionPool, findConnectionListener, findConnectionListener, flush, flush, flush, getCapacity, getConnection, getConnectionManager, getInternalStatistics, getKey, getLock, getLogger, getManagedConnectionFactory, getManagedConnectionPool, getManagedConnectionPools, getName, getPoolConfiguration, getStatistics, getTransactionIntegration, getTransactionManager, getTransactionSynchronizationRegistry, hasConnection, internalTestConnection, isFIFO, isFull, isIdle, isInterleaving, isSharable, isShutdown, prepareShutdown, returnConnection, setCapacity, setConnectionManager, setInterleaving, setName, shutdown, testConnection, testConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.core.connectionmanager.pool.api.Pool

      `cancelShutdown, emptyManagedConnectionPool, findConnectionListener, findConnectionListener, getCapacity, getConnection, getInternalStatistics, getLock, getLogger, getManagedConnectionFactory, hasConnection, isFIFO, isFull, isIdle, isInterleaving, isSharable, isShutdown, prepareShutdown, returnConnection, setCapacity, setConnectionManager, setInterleaving, setName, shutdown`

    - ### Methods inherited from interface org.jboss.jca.core.api.connectionmanager.pool.Pool

      `dumpQueuedThreads, flush, flush, flush, getName, getStatistics, testConnection, testConnection`

- - ### Constructor Detail

    - #### AbstractPrefillPool

          protected AbstractPrefillPool(javax.resource.spi.ManagedConnectionFactory mcf,
                                        org.jboss.jca.core.api.connectionmanager.pool.PoolConfiguration pc,
                                        boolean noTxSeparatePools,
                                        boolean sharable,
                                        java.lang.String mcp)

      Create a new prefill pool.
      Parameters:
        `mcf` - the managed connection factory
        `pc` - the pool configuration
        `noTxSeparatePools` - noTxSeparatePool
        `sharable` - Are the connections sharable
        `mcp` - mcp

  - ### Method Detail

    - #### prefill

          public void prefill(javax.security.auth.Subject subject,
                              javax.resource.spi.ConnectionRequestInfo cri,
                              boolean noTxnSeperatePool)

      Prefill the connection pool
      Specified by:
        `prefill` in interface `PrefillPool`
      Parameters:
        `subject` - the subject the subject
        `cri` - the connection request info
        `noTxnSeperatePool` - whether or not we are seperating non transaction and transaction pools

    - #### isPrefill

          protected boolean isPrefill()

      Is prefill
      Overrides:
        `isPrefill` in class `AbstractPool`
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)